Name:           novnc
Version:        0.5.1
Release:        %mkrel 1
Summary:        VNC client using HTML5 (Web Sockets, Canvas) with encryption support
Requires:       python-websockify
Group:          Networking/Other

License:        GPLv3
URL:            https://github.com/kanaka/noVNC
Source0:        https://github.com/kanaka/noVNC/archive/v%{version}.tar.gz

Patch2:         novnc-0.4-manpage.patch
BuildArch:      noarch
BuildRequires:  python-devel

%description
Websocket implementation of VNC client

%prep
%setup -q -n noVNC-%{version}
%autopatch -p1

%build


%install
mkdir -p %{buildroot}/%{_usr}/share/novnc/utils
install -m 444 *html %{buildroot}/%{_usr}/share/novnc
#provide an index file to prevent default directory browsing
install -m 444 vnc.html %{buildroot}/%{_usr}/share/novnc/index.html

mkdir -p %{buildroot}/%{_usr}/share/novnc/include/
install -m 444 include/*.*  %{buildroot}/%{_usr}/share/novnc/include
mkdir -p %{buildroot}/%{_usr}/share/novnc/images
install -m 444 images/*.*  %{buildroot}/%{_usr}/share/novnc/images

mkdir -p %{buildroot}/%{_bindir}
install utils/launch.sh  %{buildroot}/%{_bindir}/novnc_server

mkdir -p %{buildroot}%{_mandir}/man1/
install -m 444 docs/novnc_server.1 %{buildroot}%{_mandir}/man1/

%{__install} -d %{buildroot}%{_sysconfdir}/sysconfig

%files
%doc README.md LICENSE.txt

%dir %{_usr}/share/novnc
%{_usr}/share/novnc/*.*
%dir %{_usr}/share/novnc/include
%{_usr}/share/novnc/include/*
%dir %{_usr}/share/novnc/images
%{_usr}/share/novnc/images/*
%{_bindir}/novnc_server
%{_mandir}/man1/novnc_server.1*



%changelog
* Fri Jan 01 2016 luigiwalser <luigiwalser> 0.5.1-1.mga6
+ Revision: 917574
- 0.5.1
- fix source URL
- remove upstreamed patches 1 and 3

* Sun Mar 15 2015 tmb <tmb> 0.4-13.mga5
+ Revision: 818634
- rebuild for missing signatures

* Thu Mar 12 2015 luigiwalser <luigiwalser> 0.4-12.mga5
+ Revision: 818470
- add upstream patch to fix CVE-2013-7436

* Wed Oct 15 2014 umeabot <umeabot> 0.4-11.mga5
+ Revision: 742881
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4-10.mga5
+ Revision: 682928
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.4-9.mga4
+ Revision: 540558
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 neoclust <neoclust> 0.4-8.mga4
+ Revision: 493958
- imported package novnc

